/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    RobotAPI::ArmarXObjects::RobotUnit
 * @author     Raphael ( ufdrv at student dot kit dot edu )
 * @date       2017
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#include "DefaultWidgetDescriptions.h"

namespace armarx
{
    namespace WidgetDescription
    {
        StringComboBoxPtr makeRNSComboBox(
            const VirtualRobot::RobotPtr& robot,
            const std::string& name,
            const std::set<std::string>& preferredSet,
            const std::string& mostPreferred)
        {
            StringComboBoxPtr rns = new StringComboBox;
            rns->name = name;
            std::string currentPreferred;
            for (const auto& name : robot->getRobotNodeSetNames())
            {
                if (preferredSet.count(name) && (mostPreferred.empty() || currentPreferred != mostPreferred))
                {
                    currentPreferred = name;
                    rns->defaultIndex = rns->options.size();
                }
                rns->options.emplace_back(name);
            }
            return rns;
        }
    }
}
