/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    RobotAPI::RobotUnit
 * @author     Raphael ( ufdrv at student dot kit dot edu )
 * @date       2017
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#ifndef _ARMARX_UNIT_RobotAPI_DefaultWidgetDescriptions_H
#define _ARMARX_UNIT_RobotAPI_DefaultWidgetDescriptions_H

#include <string>
#include <set>

#include <VirtualRobot/Robot.h>

#include <ArmarXGui/interface/WidgetDescription.h>

namespace armarx
{
    namespace WidgetDescription
    {
        StringComboBoxPtr makeRNSComboBox(
            const VirtualRobot::RobotPtr& robot,
            const std::string& name = "RobotNodeSet",
            const std::set<std::string>& preferredSet = {},
            const std::string& mostPreferred = "");
    }
}
#endif
