/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    RobotAPI::ArmarXObjects::InertialMeasurementSubUnit
 * @author     Raphael ( raphael dot grimm at student dot kit dot edu )
 * @date       2017
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#ifndef _ARMARX_LIB_RobotAPI_InertialMeasurementSubUnit_H
#define _ARMARX_LIB_RobotAPI_InertialMeasurementSubUnit_H

#include "RobotUnitSubUnit.h"

#include <ArmarXCore/observers/variant/TimestampVariant.h>

#include <RobotAPI/components/units/InertialMeasurementUnit.h>

#include "../SensorValues/SensorValueIMU.h"

namespace armarx
{
    TYPEDEF_PTRS_HANDLE(InertialMeasurementSubUnit);
    class InertialMeasurementSubUnit:
        virtual public RobotUnitSubUnit,
        virtual public InertialMeasurementUnit
    {
    public:
        virtual void update(const SensorAndControl& sc, const LVL0AndLVL1Controllers& c);

        // InertialMeasurementUnit interface
    protected:
        virtual void onInitIMU()  override {}
        virtual void onStartIMU() override {}
        virtual void onExitIMU()  override {}
    public:
        std::map<std::string, std::size_t> devs;
    };
}
#endif
