/*
* This file is part of ArmarX.
*
* ArmarX is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License version 2 as
* published by the Free Software Foundation.
*
* ArmarX is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program. If not, see <http://www.gnu.org/licenses/>.
*
* @package    ArmarX::ROBOTAPI
* @author     Kai Welke (welke _at_ kit _dot_ edu)
* @date       2011 Kai Welke
* @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
*             GNU General Public License
*/

#ifndef _ARMARX_ROBOTAPI_OBJECT_FACTORIES_H
#define _ARMARX_ROBOTAPI_OBJECT_FACTORIES_H

#include <ArmarXCore/core/system/FactoryCollectionBase.h>


namespace armarx
{
    namespace ObjectFactories
    {

        /**
         * @class RobotAPIObjectFactories
         */
        class RobotAPIObjectFactories : public FactoryCollectionBase
        {
        public:
            ObjectFactoryMap getFactories();
        };
        const FactoryCollectionBaseCleanUp RobotAPIObjectFactoriesVar = FactoryCollectionBase::addToPreregistration(new RobotAPIObjectFactories());

    }

}

#endif
